APROPOS-UTILS(3)

NAME
apropos-utils - support functions for querying the man page index

SYNOPSIS
#include <apropos-utils.h>
sqlite3 *
init_db(mandb_access_mode db_flag, const char * manconf);
void
close_db(sqlite3 *db);
int
run_query(sqlite3 *db, query_format fmt, query_args *args);

DESCRIPTION
These functions all live in the apropos-utils.h header file. They operate on /var/db/man.db which is an Sqlite database containing a full text search index of the manual pages. The functions provide an easy to use interface to query the database and develop applications on top of it.

SEE ALSO
close_db(3), init_db(3), run_query(3)

AUTHORS
Abhinav Upadhyay